org.apache.ignite.internal.commandline.meta

## Enum MetadataSubCommandsList

- java.lang.Object
- - java.lang.Enum<MetadataSubCommandsList>
  - - org.apache.ignite.internal.commandline.meta.MetadataSubCommandsList

All Implemented Interfaces:
  Serializable, Comparable<MetadataSubCommandsList>

    public enum MetadataSubCommandsList
    extends Enum<MetadataSubCommandsList>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DETAILS`
`HELP`
`LIST`
`REMOVE`
`UPDATE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`@NotNull Command<?>` `command()`
`static MetadataSubCommandsList` `parse(String name)`
`String` `text()`
`String` `toString()`
`static MetadataSubCommandsList` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataSubCommandsList[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HELP

    public static final MetadataSubCommandsList HELP

#### LIST

    public static final MetadataSubCommandsList LIST

#### DETAILS

    public static final MetadataSubCommandsList DETAILS

#### REMOVE

    public static final MetadataSubCommandsList REMOVE

#### UPDATE

    public static final MetadataSubCommandsList UPDATE

### Method Detail

#### values

    public static MetadataSubCommandsList[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetadataSubCommandsList c : MetadataSubCommandsList.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetadataSubCommandsList valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### text

    public String text()

#### command

    @NotNull
    public @NotNull Command<?> command()

#### parse

    public static MetadataSubCommandsList parse(String name)

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<MetadataSubCommandsList>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020